# CEGUI::WidgetComponent Class Reference

Class that encapsulates information regarding a sub-widget required for a widget. More...

Collaboration diagram for CEGUI::WidgetComponent:

[legend]
List of all members.

## Public Member Functions

| WidgetComponent (const String &type, const String &look, const String &suffix)
void | create (Window &parent) const
| Create an instance of this widget component adding it as a child to the given Window.
const ComponentArea & | getComponentArea () const
void | setComponentArea (const ComponentArea &area)
const String & | getBaseWidgetType () const
void | setBaseWidgetType (const String &type)
const String & | getWidgetLookName () const
void | setWidgetLookName (const String &look)
const String & | getWidgetNameSuffix () const
void | setWidgetNameSuffix (const String &suffix)
VerticalAlignment | getVerticalWidgetAlignemnt () const
void | setVerticalWidgetAlignment (VerticalAlignment alignment)
HorizontalAlignment | getHorizontalWidgetAlignemnt () const
void | setHorizontalWidgetAlignemnt (HorizontalAlignment alignment)
void | addPropertyInitialiser (const PropertyInitialiser &initialiser)
void | clearPropertyInitialisers ()
void | layout (const Window &owner) const
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this WidgetComponent to out_stream.

## Detailed Description

Class that encapsulates information regarding a sub-widget required for a widget.

Todo:
  This is not finished in the slightest! There will be many changes here...

## Member Function Documentation

void CEGUI::WidgetComponent::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this WidgetComponent to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.